Package: org.codehaus.groovy.tools.shell

## [Groovy] Class CommandRegistry

- org.codehaus.groovy.tools.shell.CommandRegistry

- A registry of shell Command instances which may be executed.

  Authors:
    Jason Dillon
  Version:
    \$Id\$

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Logger` | `log` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List<Command>` | `commands` A list of all of the registered commands.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `List<Command>` | `commands()`
    `Command` | `find(String name)`
    `Command` | `getProperty(String name)`
    `Iterator<Command>` | `iterator()`
    `Command` | `register(Command command)`
    `void` | `remove(Command command)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected final Logger log

  - ### Property Detail

    - #### final List<Command> commands

      A list of all of the registered commands.

  - ### Method Detail

    - #### List<Command> commands()

    - #### Command find(String name)

    - #### Command getProperty(String name)

    - #### Iterator<Command> iterator()

    - #### Command register(Command command)

    - #### void remove(Command command)